Subject: RE: [mpls] Two Questions about LSP-ping/traceroute (RFC 4379)

From: "Nitin Bahadur" <[email-masked]>
Date: Fri, 3 Nov 2006 10:06:42 -0800

> -----Original Message-----
> 1) How should LSP-ping deal with PHP mode (penultimate-hop-popping) ?
>
> Suppose I am sending an mpls echo request packet to check a
> regular lsp and the packet is sent with the proper label X
> (shimmed between L2 and L3) and a FEC Stack TLV which includes a
> LDP-IpV4 sub-tlv.
> This packet may reach its destination, some egress LER Y, without
> any shimmed label due to the use of
> PHP mode. Section 4.2 in RFC 4379 suggest that we use Nil-FEC
> sub-TLV to account for the missing Label that was popped. The
> question is which LSR insert this Nil-FEC. Note that the LER that
> initiated the echo-request doesn't know in advance if the label
> is going to be popped at the penultimate LSR. Moreover the
> penultimate LSR it self cannot add this FEC since it has no
> trigger to process the packet as he recieves a regular labeled
> packet and simply performs a popping and forwarding procedures. ?
> It is furthermore unclear wether in this case we should also use
> Explicite Null label (label 0) or not?.
>

The ingress LSR that initiates the request should add the NIL-FEC in
addition
to the FEC being tested. One can associate the EXPLICIT-NULL label with the
NIL FEC. That wat the ingress LSR does not need to know if the PHP will be
used
or not. If PHP is used, egress will receive the packet with EXPLICIT-NULL
label.
If PHP is not-used, egress will receive the packet with 2+ labels. In both
cases,
egress should do the right thing by popping 2 labels and recognizing that it
is
the egress for the LSP.

IMHO no additional FECs should be added by the penultimate LSR during
switching.

Section 3.2.15 (NIL-FEC) talks about using reserved label-space for labels
associated
with NIL-FEC. As long as the egress LSR does the *right thing* when it
encounters reserved
labels, things should work. Using EXPLICIT-NULL label I guess makes sure
that things will
work...since vendors probably handle that correctly.

Nitin
--
No virus found in this outgoing message.
Checked by AVG Free Edition.
Version: 7.1.409 / Virus Database: 268.13.27/517 - Release Date: 11/3/2006

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

---

From: "Nitin Bahadur" <[email-masked]>
Date: Fri, 3 Nov 2006 10:06:42 -0800

Nitin

---

From: "Nitin Bahadur" <[email-masked]>
Date: Fri, 3 Nov 2006 10:06:42 -0800

Nitin

---

From: "Nitin Bahadur" <[email-masked]>
Date: Fri, 3 Nov 2006 10:06:42 -0800

Nitin